// Alert

// -- Base Style -- //
.alert {
    position: relative;
    padding: $alert-padding-y $alert-padding-x;
    margin-bottom: $alert-margin-bottom;
    border: $alert-border-width solid transparent;
    @include border-radius($alert-border-radius);
  }
  
  // Provide class for links that match alerts
  .alert-link {
    font-weight: $alert-link-font-weight;
  }
  
  
  // Alternate styles
  // Generate contextual modifier classes for colorizing the alert.
  
  @each $color, $value in $theme-colors {
    .alert-#{$color} {
      @include alert-variant(theme-color-level($color, $alert-bg-level), theme-color-level($color, $alert-border-level), theme-color-level($color, $alert-color-level));
    }
  }
  